using System.Diagnostics;

namespace MusiLib.Views;

public partial class Favoris : ContentPage, IAllowClick
{
	public Favoris()
	{
		InitializeComponent();
	}


    private void GoToAccueilByLogoButton(object sender, EventArgs e)
    {
        if (!IAllowClick.AllowTap) return;
        else IAllowClick.AllowTap = false;

        Navigation.PopAsync();

        IAllowClick.ResumeTap();
    }


    private void GoToPartitionButton(object sender, EventArgs e)
    {
        if (!IAllowClick.AllowTap) return; 
        else IAllowClick.AllowTap = false;

        Navigation.PushAsync(new Partition());

        IAllowClick.ResumeTap();
    }
}